datablock PlayerData(PlayerSprint : PlayerStandardArmor)
{
	rechargeRate = 0.75;

	runForce = 4320;
	runEnergyDrain = 0.5;
	maxForwardSpeed = "7";
	maxBackwardSpeed = "6";
	maxSideSpeed = "4";

	maxForwardCrouchSpeed = "3";
	maxBackwardCrouchSpeed = "2";
	maxSideCrouchSpeed = "2";

	airControl = 0.1;
	jumpForce = 1080;

	canJet = 0;

	uiName = "Sprinting Player";

	canRide = 1;
	showEnergyBar = 1;
};
datablock PlayerData(PlayerSprintActive : PlayerSprint)
{
	runEnergyDrain = 2.75;
	minRunEnergy = 1;
	maxForwardSpeed = "18";
	maxBackwardSpeed = "0";
	maxSideSpeed = "0";

	maxForwardCrouchSpeed = "3";
	maxBackwardCrouchSpeed = "2";
	maxSideCrouchSpeed = "2";

	airControl = 0;

	uiName = "";

	canRide = 0;
};

package SprintPlayer
{
	function Armor::onTrigger(%data,%player,%slot,%io)
	{
		if(%slot == 4)
		{
			if(%io && %data.getName() $= "PlayerSprint")
			{
				%player.changeDatablock(PlayerSprintActive);
				%tool = %player.currTool;
				servercmdunusetool(%player.client);
				%player.currTool = %tool;
			} else if(!%io && %data.getName() $= "PlayerSprintActive")
			{
				%player.changeDatablock(PlayerSprint);
				servercmduseTool(%player.client,%player.currTool);
			}
		}
		Parent::onTrigger(%data,%player,%slot,%io);
	}
	function Player::mountImage(%player,%image,%slot)
	{
		if(%player.getDatablock().getName() $= "PlayerSprintActive" && %slot == 0)
		{
			return;
		}
		Parent::mountImage(%player,%image,%slot);
	}
	function ServerCmdUseTool(%client,%slot)
	{
		if(isObject(%player = %client.player))
		{
			if(%player.getDatablock().getName() $= "PlayerSprintActive")
			{
				%player.currTool = %slot;
				return;
			}
		}
		Parent::serverCmdUseTool(%client,%slot);
	}
};
activatePackage(SprintPlayer);